View Issue Details

IDProjectCategoryView StatusLast Update
0002255Industrial-Craft²crossmod-compatibility / submodules / APIpublic2018-01-11 15:43
ReporterAEnterpriseAssigned ToChocohead 
PrioritynormalSeveritymajorReproducibilityN/A
Status resolvedResolutionfixed 
Product Version 
Target VersionFixed in VersionBuilds for MC 1.12.x 
Summary0002255: Filling BC tank with IC2 causes infinite loop
DescriptionWhen people try to have an IC2 machine auto-output into a BuildCraft tank (or use fluid cells) it goes into an infinite loop, locking the world thread untill the game is terminated
Originally reported on the BC issuetracker but we don't see a cause for this on our end: https://github.com/BuildCraft/BuildCraft/issues/3774
Steps To Reproduceplace a tank next to a fluid canning machine
setup the fluid canning machine to make construction foam and give it a fluid ejector upgrade
the server thread locks down
TagsNo tags attached.
Minecraft Version1.11.2

Relationships

has duplicate 0002281 resolvedChocohead When use IC2's Fluid Ejector Upgrade to send fluid into BC's Tank, game crash... 

Activities

AEnterprise

2017-10-23 07:36

reporter   ~0005462

any update on this?

Chocohead

2018-01-11 15:43

developer   ~0005504

Appears to have been fixed within BuildCraft in 7.99.14, older versions will work with IC2 2.8.38

Issue History

Date Modified Username Field Change
2017-08-24 11:33 AEnterprise New Issue
2017-10-23 07:36 AEnterprise Note Added: 0005462
2017-11-16 10:16 Chocohead Relationship added has duplicate 0002281
2018-01-11 15:43 Chocohead Assigned To => Chocohead
2018-01-11 15:43 Chocohead Status new => resolved
2018-01-11 15:43 Chocohead Resolution open => fixed
2018-01-11 15:43 Chocohead Fixed in Version => Builds for MC 1.12.x
2018-01-11 15:43 Chocohead Note Added: 0005504